//tag::ref-doc[]
= MongoDB Sink

This sink application ingest incoming data into MongoDB.
This application is fully based on the `MongoDataAutoConfiguration`, so refer to the https://docs.spring.io/spring-boot/docs/current/reference/html/boot-features.html#boot-features-mongodb[Spring Boot MongoDB Support] for more information.

== Input

=== Payload

* Any POJO
* `String`
* `byte[]`

== Options

The **$$mongodb$$** $$sink$$ has the following options:


//tag::configuration-properties[link-to-catalog=true]
https://github.com/spring-cloud/spring-functions-catalog/tree/main/consumer/spring-mongodb-consumer#configuration-options[See Spring Functions Catalog for configuration options].
//end::configuration-properties[]

//end::ref-doc[]
